### Method

# Panel Widget set_menu_model

#### Declaration [src]

    void
    panel_widget_set_menu_model (
      PanelWidget* self,
      GMenuModel* menu_model
    )

#### Description [src]

Sets the `GMenuModel` for the widget.

`PanelFrameHeader` may use this model to display additional options for the page to the user via menus.

Sets property | `Panel.Widget:menu-model`

#### Parameters

`menu_model`

  Type: `GMenuModel`

  A `GMenuModel`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.